package com.muyu.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author DongZeLiang
 * @version 1.0
 * @description 一键执行任务结果集
 * @date 2023/12/5
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UnifiedTaskResp {
    /**
     * 任务状态 默认为false状态
     */
    private boolean unifiedStatus;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 任务执行总数
     */
    private Integer taskExecutionSum;

    /**
     * 任务执行时间
     */
    private long taskStartTime;

    /**
     * 任务成功执行总数
     */
    private Integer taskSuccessSum;


    /**
     * 任务执行失败总数
     */
    private Integer taskErrorSum;

}
